Skip to content

List persisted developer-log entries.

GET
/api/workspace/admin/dev-log/entries
curl --request GET \
--url 'https://example.com/api/workspace/admin/dev-log/entries?SortField=0&SortDirection=0' \
--header 'Authorization: Bearer <token>'
Page
integer format: int32
PageSize
integer format: int32
Level
Array<integer>
Allowed values: 0 1 2 3 4 5
Source
string
Category
string
Search
string
ContextSearch
string
IdentifierSearch
string
CorrelationId
string
ExecutionTraceId
string
OperationId
string
ParentOperationId
string
ActorUserId
string
OriginalUserId
string
BusinessFunctionId
string
BusinessFunctionVersionId
string
BusinessFunctionRunId
string
QueuedJobId
string
TriggerBindingId
string
ScheduleId
string
EntityDefinitionId
string
EntityInstanceId
string
EntityOperation
string
dateFrom
string format: date
timeFrom
string format: time
dateTo
string format: date
timeTo
string format: time
IgnoredTransaction
boolean
HasException
boolean
ExceptionType
string
SortField
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8
SortDirection
integer format: int32
Allowed values: 0 1
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Paginated developer-log response.

object
Items

Current page of entries.

Array<object>
nullable

Summary row for the Moltaro developer log.

object
Id

Log entry identifier.

string
nullable
CreatedAt

Entry creation timestamp in UTC.

string format: date-time
Level
integer format: int32
Allowed values: 0 1 2 3 4 5
Source

Runtime or module source.

string
nullable
Category

Optional caller category.

string
nullable
Message

Diagnostic message.

string
nullable
CorrelationId

Correlation identifier.

string
nullable
ExecutionTraceId

Execution trace identifier.

string
nullable
OperationId

Operation identifier.

string
nullable
ParentOperationId

Parent operation identifier.

string
nullable
ActorUserId

Effective actor user identifier.

string
nullable
OriginalUserId

Original user identifier when the effective actor is system-owned.

string
nullable
BusinessFunctionId

Related business-function identifier.

string
nullable
BusinessFunctionVersionId

Related business-function version identifier.

string
nullable
BusinessFunctionRunId

Related business-function run identifier.

string
nullable
QueuedJobId

Related queued job identifier.

string
nullable
TriggerBindingId

Related trigger binding identifier.

string
nullable
ScheduleId

Related schedule identifier.

string
nullable
EntityDefinitionId

Related entity definition identifier.

string
nullable
EntityInstanceId

Related entity instance identifier.

string
nullable
EntityOperation

Related entity operation.

string
nullable
IgnoredTransaction

Whether the entry intentionally bypassed the caller transaction.

boolean
HasException

Whether exception details are present.

boolean
ActorUser

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
OriginalUser

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
BusinessFunction

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
BusinessFunctionVersion

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
BusinessFunctionRun

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
QueuedJob

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
TriggerBinding

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
Schedule

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
EntityDefinition

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
EntityInstance

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
TotalCount

Total matching entry count.

integer format: int32
Page

One-based page number.

integer format: int32
PageSize

Normalized page size.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Level": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Paginated developer-log response.

object
Items

Current page of entries.

Array<object>
nullable

Summary row for the Moltaro developer log.

object
Id

Log entry identifier.

string
nullable
CreatedAt

Entry creation timestamp in UTC.

string format: date-time
Level
integer format: int32
Allowed values: 0 1 2 3 4 5
Source

Runtime or module source.

string
nullable
Category

Optional caller category.

string
nullable
Message

Diagnostic message.

string
nullable
CorrelationId

Correlation identifier.

string
nullable
ExecutionTraceId

Execution trace identifier.

string
nullable
OperationId

Operation identifier.

string
nullable
ParentOperationId

Parent operation identifier.

string
nullable
ActorUserId

Effective actor user identifier.

string
nullable
OriginalUserId

Original user identifier when the effective actor is system-owned.

string
nullable
BusinessFunctionId

Related business-function identifier.

string
nullable
BusinessFunctionVersionId

Related business-function version identifier.

string
nullable
BusinessFunctionRunId

Related business-function run identifier.

string
nullable
QueuedJobId

Related queued job identifier.

string
nullable
TriggerBindingId

Related trigger binding identifier.

string
nullable
ScheduleId

Related schedule identifier.

string
nullable
EntityDefinitionId

Related entity definition identifier.

string
nullable
EntityInstanceId

Related entity instance identifier.

string
nullable
EntityOperation

Related entity operation.

string
nullable
IgnoredTransaction

Whether the entry intentionally bypassed the caller transaction.

boolean
HasException

Whether exception details are present.

boolean
ActorUser

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
OriginalUser

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
BusinessFunction

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
BusinessFunctionVersion

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
BusinessFunctionRun

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
QueuedJob

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
TriggerBinding

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
Schedule

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
EntityDefinition

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
EntityInstance

Human-readable display data for an object referenced by a developer-log entry.

object
Id

Referenced object identifier.

string
nullable
Label

Primary display label.

string
nullable
Subtitle

Optional secondary display text.

string
nullable
Kind

Referenced object kind.

string
nullable
TotalCount

Total matching entry count.

integer format: int32
Page

One-based page number.

integer format: int32
PageSize

Normalized page size.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Level": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}